/* Hero Video Section */
.hero-video-section {
  position: relative;
  width: 100%;
  height: 100vh;
  overflow: hidden;
}

.hero-video,
.hero-placeholder {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.hero-placeholder {
  background: linear-gradient(135deg, var(--color-darker) 0%, var(--color-dark) 100%);
}

.social-icons {
  position: absolute;
  top: 50%;
  right: 2rem;
  transform: translateY(-50%);
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  z-index: 10;
}

.social-icon {
  width: 60px;
  height: 60px;
  background-color: var(--color-dark-white);
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--color-dark);
  transition: var(--transition);
  backdrop-filter: blur(10px);
  opacity: 0.5;
}

.social-icon:hover {
  background-color: var(--color-gold);
}


.hero-big-title {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-family: 'Black Ops One';

  font-size: 9rem;
  letter-spacing: 3px;
  font-weight: 700;
  
  color: rgba(255, 255, 255, 0.621);
  text-transform: uppercase;
  text-align: center;
  
  z-index: 5;
  pointer-events: none;
  line-height: 1.1;

  opacity: 0;
  animation: fadeSlideIn 1.5s ease forwards;
  animation-delay: 0.5s;
}

@keyframes fadeSlideIn {
  0% {
    opacity: 0;
    transform: translate(-50%, -70%);
  }
  100% {
    opacity: 1;
    transform: translate(-50%, -50%);
  }
}


/* רספונסיביות */
@media (max-width: 900px) {
  .social-icons {
    top: auto;           
    bottom: 7rem;        
    left: 50%;           
    right: auto;
    transform: translateX(-50%); 
    flex-direction: row;  
    gap: 1rem;           
  }
  .hero-big-title {
      font-size: 7rem;
  }

   .hero-video.web { display: none; }
}